import request from '@/utils/request';
import { download } from '@/utils/file';
/**
 * 获取信息列表
 */
export async function getTableList(params) {
  const res = await request.get(`/eom/purchaseorder/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取信息详情
 */
export async function getpurchaseorderDetail(id) {
  const res = await request.get(`/eom/purchaseorder/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateInformation(data) {
  const res = await request.put(`/eom/purchaseorder/update`, data);
  return res.data
}

/**
 * 流程作废
 */
export async function cancel(data) {
  const res = await request.put(`/bpm/purchaseOrderApprove/notPass`, data);
  if (res.data.code == 0) {
    return Promise.resolve(res.data);
  }
  return Promise.reject(new Error(res.data.message));
}
